# Run tests in check section
%bcond_without check

# https://github.com/mschoch/smat
%global goipath         github.com/mschoch/smat
%global commit          90eadee771aeab36e8bf796039b8c261bebebe4f

%global common_description %{expand:
The concept is simple, describe valid uses of your library as states and 
actions. States describe which actions are possible, and with what probability
they should occur. Actions mutate the context and transition to another state.

By doing this, two things are possible:
 - Use go-fuzz to find/test interesting sequences of operations on your library.
 - Automate longevity testing of your application by performing long sequences 
   of valid operations.

Both of these can also incorporate validation logic (not just failure detection
by building validation into the state machine).}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        State Machine Assisted Testing
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/boltdb/bolt)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190306git90eadee
- First package for Fedora

